%define modname igbinary
%define soname %{modname}.so
%define inifile A50_%{modname}.ini

Name:		php-%{modname}
Version:	3.1.2
Release:	%mkrel 3
Group:		Development/PHP
Summary:	PHP igbinary extension
License:	BSD-3-Clause
URL:		https://pecl.php.net/package/igbinary
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Patch0:		session.patch
BuildRequires:	php-devel >= 3:7.4.0
Requires:	php >= 3:7.4.0
Requires:	php-common = 3:7.4

%description
Igbinary is a drop in replacement for the standard php serializer. Instead of
time and space consuming textual representation, igbinary stores php data
structures in a compact binary form. Savings are significant when using
memcached or similar memory based storages for serialized data.


%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild
%autopatch -p1

export CFLAGS="$CFLAGS -DHAVE_PHP_SESSION"

phpize
%configure2_5x --with-libdir=%{_lib} \
	--enable-%{modname}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_includedir}/php/ext/%{modname}

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install src/php7/igbinary.h %{buildroot}%{_includedir}/php/ext/%{modname}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
; Use igbinary as session serializer
session.serialize_handler=igbinary
EOF

%files
%doc package*.xml README.md
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}
%{_includedir}/php/ext/%{modname}/igbinary.h



%changelog
* Thu Jun 18 2020 mokraemer <mokraemer> 3.1.2-3.mga7
+ Revision: 1596014
- Fix dependency
- Fix dependency
- backport for php 7.4
- backport php 7.4

* Wed Feb 19 2020 umeabot <umeabot> 3.1.2-2.mga8
+ Revision: 1543588
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 mokraemer <mokraemer> 3.1.2-1.mga8
+ Revision: 1481995
- new version 3.1.2
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jan 16 2020 mokraemer <mokraemer> 3.1.1-1.mga8
+ Revision: 1481156
- new version 3.1.1

* Mon Dec 30 2019 mokraemer <mokraemer> 3.1.0-1.mga8
+ Revision: 1474984
- new version 3.1.0

* Fri Nov 29 2019 mokraemer <mokraemer> 3.0.0-3.mga8
+ Revision: 1463525
+ rebuild (emptylog)

* Mon Oct 21 2019 mokraemer <mokraemer> 3.0.0-2.mga8
+ Revision: 1454920
- removed dirname

* Mon Feb 18 2019 mokraemer <mokraemer> 3.0.0-1.mga7
+ Revision: 1368104
- new version 3.0.0

* Fri Dec 21 2018 mokraemer <mokraemer> 2.0.8-5.mga7
+ Revision: 1344205
- remove tests in installation files

* Wed Dec 12 2018 mokraemer <mokraemer> 2.0.8-3.mga7
+ Revision: 1340441
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 2.0.8-2.mga7
+ Revision: 1325729
- updated requirement

* Sun Oct 21 2018 mokraemer <mokraemer> 2.0.8-1.mga7
+ Revision: 1323167
- new version 2.0.8

* Sun Sep 23 2018 umeabot <umeabot> 2.0.6-2.mga7
+ Revision: 1300223
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 mokraemer <mokraemer> 2.0.6-1.mga7
+ Revision: 1234462
- new version 2.0.6

* Fri Dec 22 2017 mokraemer <mokraemer> 2.0.5-3.mga7
+ Revision: 1183955
- make igbinary default serialize handler

* Fri Dec 22 2017 mokraemer <mokraemer> 2.0.5-2.mga7
+ Revision: 1183935
+ rebuild (emptylog)

* Fri Dec 22 2017 mokraemer <mokraemer> 2.0.5-1.mga7
+ Revision: 1183933
- new php-igbinary
- Created package structure for php-igbinary.

